#include <gtk/gtk.h>

static void on_destroy( GtkWidget * widget, gpointer data)
{
    gtk_main_quit();
}

GtkWidget *fixed1;
GtkWidget *fixed2;

static void on_click_page1( GtkWidget * widget, gpointer data)
{
    gtk_widget_show( fixed1 );
    gtk_widget_hide( fixed2 );
}

static void on_click_page2( GtkWidget * widget, gpointer data)
{
    gtk_widget_show( fixed2 );
    gtk_widget_hide( fixed1 );
}

int main( int argc, char **argv )
{
    GtkWidget *window;
    GtkWidget *vbox;
    GtkWidget *hbox;
    GtkWidget *button1;
    GtkWidget *button2;
    GtkWidget *fixedt;
    GtkWidget *page1;
    GtkWidget *page2;
    GdkColormap *cmap;
    GdkColor white;

    gtk_init( &argc, &argv );

    window = gtk_window_new( GTK_WINDOW_TOPLEVEL );

    g_signal_connect( G_OBJECT( window ), "destroy",
                      G_CALLBACK( on_destroy ), 0 );

    vbox = gtk_vbox_new( 0, 2 );
    gtk_container_add( GTK_CONTAINER( window ), vbox );
    hbox = gtk_hbox_new( 1, 2 );
    gtk_box_pack_start( GTK_BOX( vbox ), hbox, 0, 0, 0 );

    button1 = gtk_button_new_with_label( "page 1" );
    gtk_container_add( GTK_CONTAINER( hbox ), button1 );
    g_signal_connect( G_OBJECT( button1 ), "clicked",
                      G_CALLBACK( on_click_page1 ), 0 );
    button2 = gtk_button_new_with_label( "page 2" );
    gtk_container_add( GTK_CONTAINER( hbox ), button2 );
    g_signal_connect( G_OBJECT( button2 ), "clicked",
                      G_CALLBACK( on_click_page2 ), 0 );

    fixedt = gtk_fixed_new();
    gtk_fixed_set_has_window( GTK_FIXED( fixedt ), 1 );
    gtk_box_pack_start( GTK_BOX( vbox ), fixedt, 1, 1, 0 );

    fixed1 = gtk_fixed_new();
    gtk_fixed_set_has_window( GTK_FIXED( fixed1 ), 1 );
    gtk_fixed_put( GTK_FIXED( fixedt ), fixed1, 0, 0 );
    fixed2 = gtk_fixed_new();
    gtk_fixed_set_has_window( GTK_FIXED( fixed2 ), 1 );
    gtk_fixed_put( GTK_FIXED( fixedt ), fixed2, 0, 0 );

    cmap = gtk_widget_get_colormap( window );
    white.red = 65535;
    white.green = 65535;
    white.blue = 65535;
    gdk_rgb_find_color( cmap, &white );

    page1 = gtk_label_new( "Yoyosup" );
    gtk_fixed_put( GTK_FIXED( fixed1 ), page1, 0, 0 );
    gtk_widget_set_size_request( page1, 1024, 768 );
    page2 = gtk_label_new( "Werd, yo" );
    gtk_fixed_put( GTK_FIXED( fixed2 ), page2, 0, 0 );
    gtk_widget_set_size_request( page2, 1024, 768 );

    gtk_widget_realize( page1 );
    gtk_widget_realize( page2 );
    gdk_window_set_background( page1->window, &white );
    gdk_window_set_background( page2->window, &white );
    gdk_window_set_back_pixmap( page1->window, 0, 0 );
    gdk_window_set_back_pixmap( page2->window, 0, 0 );

    gtk_widget_show_all( window );

    gtk_main();
    return 0;
}


