
#include <gtk/gtk.h>

static void on_destroy( GtkWidget * widget, gpointer data)
{
    gtk_main_quit();
}

int main( int argc, char **argv )
{
    GtkWidget *window;
    GtkWidget *notebook;
    GtkWidget *fixed1;
    GtkWidget *fixed2;
    GtkWidget *page1;
    GtkWidget *page2;
    GdkColormap *cmap;
    GdkColor white;

    gtk_init( &argc, &argv );

    window = gtk_window_new( GTK_WINDOW_TOPLEVEL );

    g_signal_connect( G_OBJECT( window ), "destroy",
                      G_CALLBACK( on_destroy ), 0 );

    notebook = gtk_notebook_new();
    gtk_container_add( GTK_CONTAINER( window ), notebook );

    fixed1 = gtk_fixed_new();
    gtk_fixed_set_has_window( GTK_FIXED( fixed1 ), 1 );
    fixed2 = gtk_fixed_new();
    gtk_fixed_set_has_window( GTK_FIXED( fixed2 ), 1 );

    cmap = gtk_widget_get_colormap( window );
    white.red = 65535;
    white.green = 65535;
    white.blue = 65535;
    gdk_rgb_find_color( cmap, &white );

    page1 = gtk_label_new( "Yoyosup" );
    gtk_fixed_put( GTK_FIXED( fixed1 ), page1, 0, 0 );
    page2 = gtk_label_new( "Werd, yo" );
    gtk_fixed_put( GTK_FIXED( fixed2 ), page2, 0, 0 );

    gtk_container_add( GTK_CONTAINER( notebook ), fixed1 );
    gtk_container_add( GTK_CONTAINER( notebook ), fixed2 );

    gtk_widget_realize( page1 );
    gtk_widget_realize( page2 );
    gdk_window_set_background( page1->window, &white );
    gdk_window_set_background( page2->window, &white );
    gdk_window_set_back_pixmap( page1->window, 0, 0 );
    gdk_window_set_back_pixmap( page2->window, 0, 0 );

    gtk_widget_show_all( window );

    gtk_main();
    return 0;
}


